Page MenuHomePhabricator

Refactor lazy loading of template specializations. NFC
ClosedPublic

Authored by v.g.vassilev on Dec 6 2017, 8:17 AM.

Details

Reviewers
rsmith
bruno
Summary

Unify the loading of lazy template specializations across class, function

and variable templates.

Diff Detail

Event Timeline

v.g.vassilev created this revision.Dec 6 2017, 8:17 AM

Fix preexisting comment typo.

rsmith accepted this revision.Dec 8 2017, 2:52 PM
rsmith added inline comments.
lib/AST/DeclTemplate.cpp
188–189

You can remove this FIXME: getMostRecentDecl() doesn't walk the redeclaration chain any more.

This revision is now accepted and ready to land.Dec 8 2017, 2:52 PM
v.g.vassilev closed this revision.Dec 14 2017, 3:31 PM

Thanks! Landed in r320763.